Can I use iPhone 5 or do need to upgrade for magic pro

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    The iPhone 5 is NOT compatible with the DJI GO 4 app needed, so cannot be used with the Mavic Pro.

    Was this useful? Answer 1

    3 of 4 people found this useful

  • You need to upgrade for everyday life. As far as compatibility with the maV*ic pro, please see compatibility list. It specifies which models are compatible.

    Apple Responds

    Although it is an older iPhone, the iPhone 5 will still work with the DJI Mavic Pro Drone.

    Was this useful? Answer 2

    4 of 7 people found this useful

Related Questions